### org.jfree.layouting.renderer.model.table

# Class TableColumnGroupNode

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.RenderNode`
  - - `org.jfree.layouting.renderer.model.RenderBox`
    - - `org.jfree.layouting.renderer.model.table.TableColumnGroupNode`

Implemented Interfaces:
  Cloneable

`public class TableColumnGroupNode`
`extends RenderBox`

Creation-Date: 17.07.2006, 18:32:42

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.renderer.model.RenderBox

  `LOG_PRUNE`

  ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

  `HORIZONTAL_AXIS`, `VERTICAL_AXIS`

  ## Constructor Summary

  `TableColumnGroupNode(BoxDefinition boxDefinition)`

  ## Method Summary

  `void`

  `appyStyle(LayoutContext context, OutputProcessorMetaData metaData)`

  `int`

  `getColSpan()`

  `boolean`

  `isDiscardable()`

  `boolean`

  `isIgnorableForRendering()`
    If that method returns true, the element will not be used for rendering.

  ### Methods inherited from class org.jfree.layouting.renderer.model.RenderBox

  `addChild`, `addChilds`, `addGeneratedChild`, `appyStyle`, `clear`, `clone`, `close`, `derive`, `deriveFrozen`, `findNodeById`, `freeze`, `getBaselineInfo`, `getBorder`, `getBoxDefinition`, `getBoxLayoutProperties`, `getContentAreaX1`, `getContentAreaX2`, `getDominantBaseline`, `getEffectiveMarginBottom`, `getEffectiveMarginTop`, `getFirstChild`, `getInsertationPoint`, `getLastChild`, `getLineCount`, `getNominalBaselineInfo`, `getOrphans`, `getOrphansSize`, `getPageContext`, `getStaticBoxLayoutProperties`, `getVisibleFirst`, `getVisibleLast`, `getWidows`, `getWidowsSize`, `hibernate`, `insertAfter`, `insertBefore`, `isAppendable`, `isAvoidPagebreakInside`, `isDiscardable`, `isEmpty`, `isOpen`, `isPreserveSpace`, `remove`, `replaceChild`, `replaceChilds`, `setBaselineInfo`, `setContentAreaX1`, `setContentAreaX2`, `setFirstChild`, `setLastChild`, `setLineCount`, `setOrphansSize`, `setPageContext`, `setWidowsSize`, `split`

  ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

  `appyStyle`, `clone`, `derive`, `deriveFrozen`, `findNodeById`, `freeze`, `getAlignmentAdjust`, `getAlignmentAdjustResolved`, `getAlignmentBaseline`, `getBaselineShift`, `getBaselineShiftResolved`, `getChangeTracker`, `getComputedLayoutProperties`, `getDimension`, `getEffectiveMarginBottom`, `getEffectiveMarginTop`, `getHeight`, `getInstanceId`, `getLayoutContext`, `getLogicalPage`, `getMajorAxis`, `getMaximumBoxWidth`, `getMinimumChunkWidth`, `getMinorAxis`, `getNamespace`, `getNext`, `getNodeLayoutProperties`, `getNormalFlow`, `getPageContext`, `getParent`, `getParentBlockContext`, `getPosition`, `getPrev`, `getStickyMarker`, `getTagName`, `getVerticalAlignment`, `getVisibleNext`, `getVisiblePrev`, `getWidth`, `getX`, `getY`, `hibernate`, `isDirectionLTR`, `isDirty`, `isDiscardable`, `isEmpty`, `isFrozen`, `isHibernated`, `isIcmMetricsFinished`, `isIgnorableForRendering`, `isOpen`, `normalizeAlignment`, `setComputedLayoutProperties`, `setDimension`, `setDirty`, `setHeight`, `setHibernated`, `setIcmMetricsFinished`, `setMajorAxis`, `setMaximumBoxWidth`, `setMinimumChunkWidth`, `setMinorAxis`, `setNext`, `setParent`, `setPosition`, `setPrev`, `setStickyMarker`, `setWidth`, `setX`, `setY`, `updateChangeTracker`

## Constructor Details

### TableColumnGroupNode

    public TableColumnGroupNode(BoxDefinition boxDefinition)

## Method Details

### appyStyle

    public void appyStyle(LayoutContext context,
                          OutputProcessorMetaData metaData)

> Overrides:
>   appyStyle in interface RenderBox

### getColSpan

    public int getColSpan()

### isDiscardable

    public boolean isDiscardable()

> Overrides:
>   isDiscardable in interface RenderBox

### isIgnorableForRendering

    public boolean isIgnorableForRendering()

> If that method returns true, the element will not be used for rendering. For the purpose of computing sizes or performing the layouting (in the validate() step), this element will treated as if it is not there.

> If the element reports itself as non-empty, however, it will affect the margin computation.
> Overrides:
>   isIgnorableForRendering in interface RenderNode
> Returns: